Bug 34612 - Installer reports a corrupt partition on hde
Installer reports a corrupt partition on hde
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-04 02:29 EDT by WHITNEY BATTESTILLI
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-09 16:08:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description WHITNEY BATTESTILLI 2001-04-04 02:29:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.3-whb i686; en-US; 0.8.1)
Gecko/20010326


During install, before I get to the Disk Druid/fdisk step, the installer
reports that hde has a corrupt hard disk.  Switching to the shell and
running fdisk reports a perfectly good table on hde. I can also boot onto a
current install on hde without any problems.

The 30GB IBM DeskStar drive is attached via a HPT370 RAID controller built
in to an ABIT KT7 board.

Here's a print from fdisk with the units set to sectors:
Device Boot    Start       End    Blocks   Id  System
/dev/hde1   *        63    101807     50872+  83  Linux
/dev/hde2        101808  60036479  29967336    5  Extended
/dev/hde5        101871    888047    393088+  82  Linux swap
/dev/hde6        888111  29559599  14335744+  83  Linux
/dev/hde7      29559663  60036479  15238408+  83  Linux


Reproducible: Always
Steps to Reproduce:
Just start the install and choose a custom install
Comment 1 Brent Fox 2001-04-04 11:35:17 EDT
I know there were some problems with the ABIT KT7 RAID board and the kernel in
the past (i.e. Fisher), but I've seen some people on wolverine-list say that
Wolverine works for them with this board.
Comment 2 Michael Fulbright 2001-04-04 12:23:56 EDT
Is this drive part of a RAID array setup under Windows?
Comment 3 Glen Foster 2001-04-04 16:31:28 EDT
We (Red Hat) should really try to fix this before next release.
Comment 4 WHITNEY BATTESTILLI 2001-04-04 17:05:42 EDT
The drive is part of a RAID array in windows.  It is just a standard UDMA100 
drive that was partitioned with fdisk during a linux (Mandrake I think) 
install.
Comment 5 WHITNEY BATTESTILLI 2001-04-04 17:07:25 EDT
Oops, Ignore last comment.  It should read.

The drive is NOT part of a RAID array in windows.  It is just a standard 
UDMA100 drive that was partitioned with fdisk during a linux (Mandrake I 
think) install.

Comment 6 Michael Fulbright 2001-04-05 10:36:11 EDT
It certainly looks normal.

Do you have a 7.0 CD you could boot and see if it complains about the disk?
Comment 7 Michael Fulbright 2001-04-05 10:38:58 EDT
Also, could you capture and attach the output from these fdisk commands:

run fdisk
enter 'x' for expert mode
enter 'd' for print raw partition table
enter 'e' for list extended partitions
enter 'p' to print a verbose partition table listing
enter 'v' to verify the partition table

Thanks!
Comment 8 WHITNEY BATTESTILLI 2001-04-05 11:55:14 EDT
Here's the fdisk output that you requested.

[root@stella /root]# fdisk /dev/hde

The number of cylinders for this disk is set to 59560.
There is nothing wrong with that, but this is larger than 1024,
and could in certain setups cause problems with:
1) software that runs at boot time (e.g., old versions of LILO)
2) booting and partitioning software from other OSs
   (e.g., DOS FDISK, OS/2 FDISK)

Command (m for help): x

Expert command (m for help): d
Device: /dev/hde
0x000: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x020: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x030: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x040: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x050: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x060: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x070: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x080: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x090: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0A0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0B0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0C0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0D0: 00 00 00 00 00 00 00 00 00 00 00 00 81 37 46 01
0x0E0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0F0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x100: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x110: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x120: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x130: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x140: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x150: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x160: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x170: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x180: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x190: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x1A0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x1B0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 80 01
0x1C0: 01 00 83 0F 3F 64 3F 00 00 00 71 8D 01 00 00 00
0x1D0: 01 65 05 0F FF FF B0 8D 01 00 D0 87 92 03 00 00
0x1E0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x1F0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 55 AA

0x000: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x020: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x030: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x040: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x050: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x060: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x070: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x080: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x090: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0A0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0B0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0C0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0D0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0E0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0F0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x100: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x110: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x120: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x130: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x140: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x150: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x160: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x170: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x180: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x190: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x1A0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x1B0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01
0x1C0: 01 65 82 0F FF 70 3F 00 00 00 01 FF 0B 00 00 00
0x1D0: C1 71 05 0F FF FF 40 FF 0B 00 F0 5D 09 00 00 00
0x1E0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x1F0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 55 AA

0x000: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x020: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x030: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x040: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x050: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x060: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x070: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x080: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x090: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0A0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0B0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0C0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0D0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0E0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0F0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x100: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x110: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x120: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x130: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x140: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x150: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x160: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x170: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x180: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x190: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x1A0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x1B0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01
0x1C0: C1 71 83 0F FF FF 3F 00 00 00 01 7E B5 01 00 00
0x1D0: C1 FF 05 0F FF FF 80 7D C1 01 50 0A D1 01 00 00
0x1E0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x1F0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 55 AA

0x000: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x020: 00 00 00 00 00 00 00 00 0000 00 00 00 00 00 00
0x030: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x040: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x050: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x060: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x070: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x080: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x090: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0A0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0B0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0C0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0D0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0E0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x0F0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x100: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x110: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x120: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x130: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x140: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x150: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x160: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x170: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x180: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x190: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x1A0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x1B0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01
0x1C0: C1 FF 83 0F FF FF 3F 00 00 00 11 0A D1 01 00 00
0x1D0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x1E0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x1F0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 55 AA
 
 
Expert command (m for help): e
 
Disk /dev/hde: 16 heads, 63 sectors, 59560 cylinders
 
Nr AF  Hd Sec  Cyl  Hd Sec  Cyl    Start     Size ID
 2 00   0   1  101  15  63 1023   101808 59934672 05
 5 00   0   1  881  15  63 1023   786240   613872 05
 6 00   0   1 1023  15  63 1023 29457792 30476880 05
 7 00   0   0    0   0   0    0        0        0 00
 
Expert command (m for help): p
 
Disk /dev/hde: 16 heads, 63 sectors, 59560 cylinders
 
Nr AF  Hd Sec  Cyl  Hd Sec  Cyl    Start     Size ID
 1 80   1   1    0  15  63  100       63   101745 83
 2 00   0   1  101  15  63 1023   101808 59934672 05
 3 00   0   0    0   0   0    0        0        0 00
 4 00   0   0    0   0   0    0        0        0 00
 5 00   1   1  101  15  63  880       63   786177 82
 6 00   1   1  881  15  63 1023       63 28671489 83
 7 00   1   1 1023  15  63 1023       63 30476817 83
 
Expert command (m for help): v
248 unallocated sectors
Comment 9 WHITNEY BATTESTILLI 2001-04-05 12:59:16 EDT
I tried to install RHL 7.  The installer didn't even see the HPT370 
controller.  I think 7.0 was using a 2.2.x kernel for the installer and 2.2.x 
doesn't support ATA66 or ATA100.  The Mandrake 7.2 that I installed on here 
uses a 2.2.x kernel patched to support Promise and HighPoint (HPT369/HTP370) 
IDE controllers.

I bet if you run my partition table through the "detects partition problems 
and helps correct them during installation" code, you will find a parse error. 
 I know that others have succeded with this board and my setup is good.
Comment 10 Michael Fulbright 2001-04-05 14:05:29 EDT
My bad - I forgot we didn't support this controller via the 2.2.x kernel in 7.0.

Thanks for all this info you sent, I will look at this.
Comment 11 Michael Fulbright 2001-04-09 16:08:22 EDT
We're working on this offline at the moment, making progress.
Comment 12 Michael Fulbright 2001-04-10 14:46:20 EDT
The problem had to do with a sanity test we do against logical partitions.  The
user was able to work around the problem with cfdisk.

I'm going to mark this as WONTFIX but if I see the problem alot we can revisit
the issue. Using parted in the future will make this a non-issue also.

Thanks for the investigating you did wbpublic!

Note You need to log in before you can comment on or make changes to this bug.